org.apache.lucene.index

## Class KeepOnlyLastCommitDeletionPolicy

- java.lang.Object
- - org.apache.lucene.index.IndexDeletionPolicy
  - - org.apache.lucene.index.KeepOnlyLastCommitDeletionPolicy

-     public final class KeepOnlyLastCommitDeletionPolicy
      extends IndexDeletionPolicy

  This `IndexDeletionPolicy` implementation that keeps only the most recent commit and immediately removes all prior commits after a new commit is done. This is the default deletion policy.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeepOnlyLastCommitDeletionPolicy()` Sole constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onCommit(List<? extends IndexCommit> commits)` Deletes all commits except the most recent one.
    `void` | `onInit(List<? extends IndexCommit> commits)` Deletes all commits except the most recent one.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeepOnlyLastCommitDeletionPolicy

          public KeepOnlyLastCommitDeletionPolicy()

      Sole constructor.

  - ### Method Detail

    - #### onInit

          public void onInit(List<? extends IndexCommit> commits)

      Deletes all commits except the most recent one.
      Specified by:
        `onInit` in class `IndexDeletionPolicy`
      Parameters:
        `commits` - List of current `point-in-time commits`, sorted by age (the 0th one is the oldest commit). Note that for a new index this method is invoked with an empty list.

    - #### onCommit

          public void onCommit(List<? extends IndexCommit> commits)

      Deletes all commits except the most recent one.
      Specified by:
        `onCommit` in class `IndexDeletionPolicy`
      Parameters:
        `commits` - List of `IndexCommit`, sorted by age (the 0th one is the oldest commit).

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.